package com.jkcredit.asychronous.dao;

import com.jkcredit.asychronous.entity.User;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;

import java.util.List;

public interface UserRepository extends MongoRepository<User, Long> {

    List<User> findByUserName(String userName);


    @Query(value = "{" +
            "    userName:{$regex:?0},\n" +
            "    api:{$regex:?1},\n" +
            "}")
    User selectByUserNameAndApi(String userName,String api);

}
