package com.jkcredit.asychronous.service;

import com.jkcredit.asychronous.entity.Charge;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface ChargeService {

    void insert(Charge charge);

    List<Charge> findByUserAndTime(String userName, String api, Long startTime, Long endTime);

    int findCountByUserAndTime(String userName, String api, Long startTime, Long endTime);

    Page<Charge> page(String userName, String api, Long startTime, Long endTime, Pageable pageable);

    int findCountByTime(String api, Long startTime, Long endTime);


}
