package com.jkcredit.asychronous.common;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 下午2:47
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResponseEntity {
    private int code = 200;
    private String msg = "OK";
    private String type;
    private Object data;


    public ResponseEntity(Object data) {
        this.data = data;
    }

    public ResponseEntity(Object data, String type) {
        this.data = data;
        this.type = type;
    }

    public ResponseEntity(int code, String msg, Object data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }
}
