package com.jkcredit.asychronous.controller;

import com.jkcredit.asychronous.service.CreditChargeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author sunzhaoning
 */
@RestController
@RequestMapping("credit/charge")
public class CreditChargeController {

    @Autowired
    private CreditChargeService creditChargeService;

    @PostMapping("count/{start}/{end}")
    public int count(@PathVariable Long start,@PathVariable Long end){
        int count = 0;
        if(start>0&& end>0){
            count = creditChargeService.findChargeByTime(start,end);
        }
        return count;
    }
}
