package com.jkcredit.asychronous.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Descirption 公安不良接口传入参数
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 下午2:52
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Man implements Serializable {

    private static final long serialVersionUID = 5030089667135944911L;
    private String id;
    /**
     * 用户
     */
    private String userName;

    /**
     * 姓名
     */
    @Excel(name = "name")
    private String name;

    /**
     * 身份证号码
     */
    @Excel(name = "idCard")
    private String idCard;

    /**
     * 客户传入回调地址
     */
    private String callBlackUrl;
    /**
     * 时间
     */
    private Long time;

    private String requestId;
}
